%define name smeserver-manager-jsquery
%define version 11.0.0
%define release 10
Summary: Jsquery and associated plugins plus server-manager (2) specific overrides.
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Source: %{name}-%{version}.tar.gz
License: GNU GPL version 2
Group: SMEserver/addon
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
BuildArchitectures: noarch
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 10.0
Requires: smeserver-manager >= 11.0
AutoReqProv: no

%define dir_mngr /usr/share/smanager

%description
Jsquery and associated plugins plus server-manager (2) specific overrides.

%changelog
* Mon Dec 30 2024 Jean-Philippe Pialasse <jpp@koozali.org> 11.0.0-10.sme
-  add pdfmake.min.js.map 0.1.53  [SME: 12842]

* Tue Dec 17 2024 Brian Read <brianr@koozali.org> 11.0.0-9.sme
- fix up links in createlinks for movewd jquery files [SME: 12828]

* Tue Dec 17 2024 Brian Read <brianr@koozali.org> 11.0.0-8.sme
- Update to latest version of all js componenents inc 3.7.1 jquery [SME:12828]

* Wed Oct 02 2024 Brian Read <brianr@koozali.org> 11.0.0-7.sme
- Add in email icon for user accounts table [SME: 12751]

* Tue May 07 2024 Brian Read <brianr@koozali.org> 11.0.0-6.sme
- Another try at margins around the table controls [SME: 12674]

* Mon May 06 2024 Brian Read <brianr@koozali.org> 11.0.0-5.sme
- Add some margin around table controls [SME: 12674]

* Fri Apr 26 2024 Brian Read <brianr@koozali.org> 11.0.0-4.sme
- Move link creation to createlinks, add REquires smeserver-manager [SME: 12539]

* Thu Apr 04 2024 Brian Read <brianr@koozali.org> 11.0.0-3.sme
- Set license file to GPL2.0  [SME: 12577]

* Sat Mar 23 2024 Brian Read <brianr@koozali.org>11.0.0-2.sme
- Change Requires: e-smith- to Requires:smeserver-

* Sat Mar 23 2024 Brian Read <brianr@koozali.org>11.0.0-1.sme
- Update Release and Version to base version and 1st release for SME11 [SME: 12518]

* Mon Jan 29 2024 <brianr@koozali.org> 1.0-1.sme
- Initial code - create RPM [SME:12459]

%prep

%setup

%build
perl createlinks

%install
rm -rf RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
> %{name}-%{version}-filelist
#echo "%doc COPYING"  >> %{name}-%{version}-filelist
#--dir <dir> 'attr(755,user,grp)' \
#--file <file> 'attr(755,root,root)' \

%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun

%post
#if [ -f /usr/share/javascript/jquery/latest/jquery.min.js ]
#then
#    [ -d %{dir_mngr}/themes/default/public/js ] ||
#        mkdir %{dir_mngr}/themes/default/public/js
#    [ -h %{dir_mngr}/themes/default/public/js/jquery.min.js ] ||
#        ln -s /usr/share/javascript/jquery/latest/jquery.min.js %{dir_mngr}/themes/default/public/js/jquery.min.js
#    [ -h %{dir_mngr}/themes/default/public/js/jquery.min.map ] ||
#        ln -s /usr/share/javascript/jquery/latest/jquery.min.map %{dir_mngr}/themes/default/public/js/jquery.min.map
# 
#    [ -h %{dir_mngr}/themes/default/public/js/datatables.min.js ] ||
#        ln -s /usr/share/javascript/datatables.min.js %{dir_mngr}/themes/default/public/js/datatables.min.js
#    [ -h %{dir_mngr}/themes/default/public/js/datatables.min.css ] ||
#        ln -s /usr/share/javascript/datatables.min.css %{dir_mngr}/themes/default/public/js/datatables.min.css
# 
#    [ -h %{dir_mngr}/themes/default/public/js/jquery-ui.min.js ] ||
#        ln -s /usr/share/javascript/jquery-ui/jquery-ui.min.js %{dir_mngr}/themes/default/public/js/jquery-ui.min.js
#    [ -h %{dir_mngr}/themes/default/public/js/jquery-ui.min.css ] ||
#        ln -s /usr/share/javascript/jquery-ui/jquery-ui.min.css %{dir_mngr}/themes/default/public/js/jquery-ui.min.css
#        
#        
#fi
#true


%postun
#uninstall
%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
